%define name fluxbox
%define version 0.1.7
%define release 3mdk
# This is for debug-flavor. Do not remove. Package is stripped conditionally.
%define __os_install_post       %{nil}

Summary:	Fluxbox is a windowmanager that is based on Blackbox.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/Other
License:	MIT
URL: 		http://fluxbox.sourceforge.net

BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}

Source: 	http://prdownloads.sourceforge.net/fluxbox/%{name}-%{version}.tar.bz2

Source1:        %{name}.menu-method
Source2:        %{name}.menu
Source3:        %{name}-icons.tar.bz2
Source5:        %{name}-start%{name}
Source6:	%{name}-artwiz-fonts.tar.bz2
Patch1:		fluxbox-0.1.7-bugfix1.patch.bz2

%description

Fluxbox is yet another windowmanager for X.  It's based on the Blackbox 0.61.1
code. Fluxbox looks like blackbox and handles styles, colors, window placement
and similar thing exactly like blackbox (100% theme/style compatibility).  So
what's the difference between fluxbox and blackbox then?  The answer is: LOTS!

Have a look at the homepage for more info ;)


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%setup -q -T -D -a3

%patch1 -p1 -b .orig

# This deprecates two paches
perl -pi -e 's#\$\(pkgdatadir\)/menu#/etc/X11/fluxbox/fluxbox-menu#g' src/Makefile.am
perl -pi -e 's#\@pkgdatadir\@/menu#/etc/X11/fluxbox/fluxbox-menu#g'   data/init.in

%build
%configure --bindir=/usr/X11R6/bin \
           --mandir=/usr/X11R6/man \
	   --enable-kde \
	   --enable-gnome \
	   --enable-nls 
	
# Support for debugging-flavor
if [ $DEBUG ]; then 
	%make 	DEFAULT_MENU=/etc/X11/fluxbox/fluxbox-menu \
		CFLAGS="%optflags -Wall -g3" CXXFLAGS="%optflags -Wall -g3"
else
	%make   DEFAULT_MENU=/etc/X11/fluxbox/fluxbox-menu
fi

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall	bindir=$RPM_BUILD_ROOT/usr/X11R6/bin \
		mandir=$RPM_BUILD_ROOT/usr/X11R6/man

if ! [ $DEBUG ]; then
	strip $RPM_BUILD_ROOT/usr/X11R6/bin/fluxbox
fi

# Since there might be a naming conflict with the blackbox bset-tools:
# We rename them :)
mv $RPM_BUILD_ROOT/usr/X11R6/bin/bsetbg   $RPM_BUILD_ROOT/usr/X11R6/bin/bsetbg-%{name}
mv $RPM_BUILD_ROOT/usr/X11R6/bin/bsetroot $RPM_BUILD_ROOT/usr/X11R6/bin/bsetroot-%{name}


# icons                                                                                                                                                       
install -D -m 644 %{name}48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# generate_menu script
install -D -m 755 data/generate_menu $RPM_BUILD_ROOT%{_datadir}/fluxbox/generate_menu

# session file. 
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d
cat > $RPM_BUILD_ROOT/etc/X11/wmsession.d/16fluxbox << EOF
NAME=FluxBox
ICON=fluxbox.png
EXEC=/usr/X11R6/bin/startfluxbox
DESC=A Light and nice looking window manager
SCRIPT:
exec /usr/X11R6/bin/startfluxbox
EOF

# menu
mkdir -p $RPM_BUILD_ROOT%_menudir

install    -m644 %{SOURCE2} $RPM_BUILD_ROOT/%_menudir/%{name}
install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/menu-methods/%{name}
install    -m755 %{SOURCE5} $RPM_BUILD_ROOT/usr/X11R6/bin/startfluxbox

# Artwiz fonts.
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts
cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/
tar xjf %{SOURCE6}
cd -

# locales
%find_lang %{name}

# bzip2 manpages (should be automatic, dirty); lenny.
bzip2 $RPM_BUILD_ROOT/%_prefix/X11R6/man/man1/*.1

%post
# menu
%{update_menus}
%{make_session}
#blackbox-alternatives
update-alternatives --install /usr/X11R6/bin/bsetbg   bsetbg   /usr/X11R6/bin/bsetbg-%{name}   20
update-alternatives --install /usr/X11R6/bin/bsetroot bsetroot /usr/X11R6/bin/bsetroot-%{name} 20
#artwiz fontz
cd /usr/X11R6/lib/X11/fonts/fluxbox-artwiz-fonts
mkfontdir
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/fluxbox-artwiz-fonts:unscaled


%postun
# menu
%{clean_menus}
%{make_session}
# blackbox alternatives
update-alternatives --remove bsetbg   /usr/X11R6/bin/bsetbg-%{name}
update-alternatives --remove bsetroot /usr/X11R6/bin/bsetroot-%{name}
# artwiz-fonts
if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/fluxbox-artwiz-fonts:unscaled
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,755)

%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
/usr/X11R6/lib/X11/fonts/fluxbox-artwiz-fonts/*

%config(noreplace) /etc/menu-methods/%{name}
%config(noreplace) /etc/X11/wmsession.d/16fluxbox

%{_libdir}/menu/%{name}
%{_datadir}/fluxbox/*

%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sat Mar  9 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-3mdk
- Applied buxfix-patch1

* Tue Mar  5 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-2mdk
- Updated startfluxbox to 0.1.7
- Added DEBUG flavor.

* Fri Mar  1 2002 Han Boetes <han@mijncomputer.nl> 0.1.7-1mdk
- Version bump.

* Tue Jan 29 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-3mdk
- Applied buxfix-patch2
- convert icons(lenny)

* Fri Jan 12 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-2mdk
- Replaced 2 patches with elegant perl search & replace -- Credits Dopey
- Include original menu generator in /usr/share/fluxbox
- Applied patch from author.
- Included nice icons from aleczapka.
- Little menu fixes.

* Fri Jan 11 2002 Han Boetes <han@mijncomputer.nl> 0.1.6-1mdk
- Bump version.

* Thu Jan 10 2002 Han Boetes <han@mijncomputer.nl> 0.1.5-5mdk
- Added kde-support. No libraries needed for that.
- Changed icons method.
- More spec cleanups.

* Tue Jan  1 2002 Han Boetes <han@mijncomputer.nl> 0.1.5-4mdk
- Fixed startup commands.

* Sun Dec 30 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-3mdk
- More clean-ups
- Fixed menusystem. No it was not broken, It just doesn't work as user.
- First run will add ~/.fluxbox so setting will be saved.
- Update-alternatives because there is no alternative.
- Added groovy Artwiz fonts

* Sat Dec 29 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-2mdk
- Applied a fix for bbtools; will be included in 0.1.6.
- Added menu system.
- I didn't add the update-alternatives system yet. Gotta get positive feedback first.

* Fri Dec 28 2001 Han Boetes <han@mijncomputer.nl> 0.1.5-1mdk
- Initial build

# end of file
